PATHCHK(1)

NAME
pathchk - Check whether file names are valid or portable

SYNOPSIS
pathchk [-p ] [-P ] [--portability] [-h|--help] [-V|--version] [path]

DESCRIPTION
Check whether file names are valid or portable

OPTIONS

-p  check for most POSIX systems

-P  check for empty names and leading "-"

--portability
    check for all POSIX systems (equivalent to -p -P)

-h, --help
    Print help

-V, --version
    Print version

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Check pathnames for validity in the current system:

pathchk path1 path2 ...

Check pathnames for validity on a wider range of POSIX compliant systems:

pathchk -p path1 path2 ...

Check pathnames for validity on all POSIX compliant systems:

pathchk [-p -P|--portability] path1 path2 ...

Only check for empty pathnames or leading dashes (-):

pathchk -P path1 path2 ...

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.